# Copyright (C) 2009 Real Time Enterprises, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

from nose.tools import raises, eq_, with_setup
from raidtracker.loot import Loot

class TestLoot():
    
    def setup(self):
        pass
        
    @raises(Exception)
    def testCreate0(self):
        loot = Loot(None, None, None, None)
    
    # Use http://www.epochconverter.com/ to convert epoch timestamp to string to confirm conversion  
    def testCreate1(self):
        loot = Loot('Bob', 'item', 1230582594.0, 'note')
        eq_(loot.toon, 'Bob')
        eq_(loot.item, 'item')
        eq_(loot.time, '2008-12-29 14:29:54 CST')
        eq_(loot.note, 'note')