# Copyright (C) 2009 Real Time Enterprises, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

from sets import Set
from nose.tools import raises, eq_, with_setup
from raidtracker.raidtracker import RaidTracker
from raidtracker.loot import Loot
from realtime.template import GenshiTemplate
from genshi.template import TextTemplate

class TestRaidTracker():
    
    def setup(self):
        pass
    
    def testCreate0(self):
        template = GenshiTemplate('../raidtracker/tests', 'test-raidtracker.html', TextTemplate)   
        t = RaidTracker(template)
        
    def testNotify(self):
        template = GenshiTemplate('../raidtracker/tests', 'test-raidtracker.html', TextTemplate)   
        t = RaidTracker(template)
        loots = [
            Loot('Bob', 'item', 1230582594.0, 'note'),
            Loot('Bob', 'item', 1230582594.0, 'note'),
            Loot('Bob', 'item', 1230582594.0, 'note')]
         
        t.notify(loots=loots)
        