# Copyright (C) 2009 Real Time Enterprises, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

from realtime.string import stripUTF8
from time import strftime, localtime
from datetime import datetime

class Loot(object):
    def __init__(self, toon, item, time, note):
        self.toon = stripUTF8(toon, 'replace')
        self.item = item
                
        fmt = '%Y-%m-%d %H:%M:%S %Z'
        loc = localtime(time)    
        self.time = strftime(fmt, loc)

        self.note = note
