from raidtracker.parser import Parser
from raidtrackertg2.model.player import Player
from raidtrackertg2.model.item import Item
import codecs, sys

def loots(index, logs):
    loots = logs[index]['Loot']
    for index in loots:
        loot = loots[index]
        print loot['player'], loot['boss']

def format_class(the_class):
    return the_class.lower()

def format_sex(sex):
    lookup = ['unknown', 'unknown', 'male', 'female']
    return lookup[sex]  
      
def players(index, logs):
    players = logs[index]['Players']
    for index in players:
        player = players[index]
        print index, player['race'], player['guild'], format_sex(player['sex']), format_class(player['class']), player['level']
        yield Player(index, player['race'], player['guild'], format_sex(player['sex']), format_class(player['class']), player['level'])

sys.stdout = codecs.getwriter('utf8')(sys.stdout)   
try:
    parser = Parser()
    parser.open('RaidTracker.lua')
    lua = parser.eval('KARaidTrackerDB')
    version_fix = lua['Options']['VersionFix']
    print version_fix, type(version_fix), lua.Options.VersionFix
    print lua['Options']['VersionCopy']
    
    logs = lua['Log']
    for index in logs:
        players(index, logs)
        #loots(index, logs)
        
except RuntimeError, (e):
    print e

